Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Functions
os_utils.h File Reference
`#include <botan/types.h>`
`#include <functional>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | Botan::OS::Echo_Suppression

## Namespaces
namespace | Botan
namespace | Botan::OS

## Functions
std::vector< void * > | Botan::OS::allocate_locked_pages (size_t count)
void | Botan::OS::free_locked_pages (const std::vector< void * > &pages)
unsigned long | Botan::OS::get_auxval (unsigned long id)
size_t BOTAN_TEST_API | Botan::OS::get_cpu_available ()
uint64_t BOTAN_TEST_API | Botan::OS::get_cpu_cycle_counter ()
size_t BOTAN_TEST_API | Botan::OS::get_cpu_total ()
uint64_t BOTAN_TEST_API | Botan::OS::get_high_resolution_clock ()
size_t | Botan::OS::get_memory_locking_limit ()
uint32_t BOTAN_TEST_API | Botan::OS::get_process_id ()
uint64_t BOTAN_TEST_API | Botan::OS::get_system_timestamp_ns ()
void | Botan::OS::page_allow_access (void *page)
void | Botan::OS::page_prohibit_access (void *page)
bool | Botan::OS::read_env_variable (std::string &value_out, const std::string &var_name)
size_t | Botan::OS::read_env_variable_sz (const std::string &var_name, size_t def_value=0)
int BOTAN_TEST_API | Botan::OS::run_cpu_instruction_probe (std::function< int()> probe_fn)
bool | Botan::OS::running_in_privileged_state ()
std::unique_ptr< Echo_Suppression > BOTAN_UNSTABLE_API | Botan::OS::suppress_echo_on_terminal ()
size_t | Botan::OS::system_page_size ()